Skip to content
WP Engine Documentation

Restores a WordPress installation from a backup

POST
/installs/{install_id}/backups/{backup_id}/restore

Initiates a restore operation from a specific backup. This will restore the WordPress installation to the state captured in the specified backup.

install_id
required
string format: uuid

ID of install

backup_id
required
string format: uuid

ID of backup to restore from

Properties
  • notification_emails - required - The email address(es) that will receive an email once the restore has completed.
  • restore_database - optional (default: true) - Whether to restore the database from the backup.
  • create_checkpoint - optional (default: true) - Whether to create a checkpoint before restoring.
object
notification_emails
required

The email address(es) that will receive an email once the restore has completed.

Array<string>
restore_database

Whether to restore the database from the backup.

boolean
default: true
create_checkpoint

Whether to create a checkpoint before restoring.

boolean
default: true
Example
{
"notification_emails": [
"myself@torquemag.com"
],
"restore_database": true,
"create_checkpoint": true
}

Accepted - restore operation has been initiated

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal Server Error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

An invalid response was received from an upstream server

Service unavailable